<button class="btn btn-lg btn-outline-primary mt-3 w-75 align-self-center" (click)="openVerticallyCentered(mymodal)">Pas encore inscrit.e ? C'est par ici ! </button>
<ng-template #mymodal let-modal>
    <div class="modal-header">
      <h4 class="modal-title" id="modal-basic-title">Inscription</h4>
      <button  type="button" class="btn-close" aria-label="Close" (click)="modal.dismiss('Cross click');onReset()"></button>
    </div>
    <div class="modal-body">
      <form [formGroup]="registerForm" (ngSubmit)="onSubmit()">
        <div class="form-row">
          <div class="form-group">
            <label class="mb-1">Nom</label>
            <input (keyup)="onClearMessage()" type="text" formControlName="firstName" class="form-control mb-2" [ngClass]="{ 'is-invalid': submitted && f['firstName'].errors }" />
            <div *ngIf="submitted && f['firstName'].errors" class="invalid-feedback">
              <div *ngIf="f['firstName'].errors['required']">Champs requis</div>
            </div>
          </div>
          <div class="form-group">
            <label class="mb-1">Prénom</label>
            <input type="text" formControlName="lastName" class="form-control mb-2" [ngClass]="{ 'is-invalid': submitted && f['lastName'].errors }" />
            <div *ngIf="submitted && f['lastName'].errors" class="invalid-feedback">
              <div *ngIf="f['lastName'].errors['required']">>Champs requis</div>
            </div>
          </div>
        </div>
        <div class="form-group">
          <label class="mb-1">Adresse Mail</label>
          <input type="text" formControlName="email" class="form-control mb-2" [ngClass]="{ 'is-invalid': submitted && f['email'].errors }" />
          <div *ngIf="submitted && f['email'].errors" class="invalid-feedback">
            <div *ngIf="f['email'].errors['required']">>Champs requis</div>
            <div *ngIf="f['email'].errors['email']">L'adresse mail indiquée n'est pas valide.</div>
          </div>
        </div>
        <div class="form-row">
          <div class="form-group col">
            <label class="mb-1">Mot de Passe</label>
            <input type="password" formControlName="password" class="form-control mb-2" [ngClass]="{ 'is-invalid': submitted && f['password'].errors }" />
            <div *ngIf="submitted && f['password'].errors" class="invalid-feedback">
              <div *ngIf="f['password'].errors['required']">>Champs requis</div>
              <div *ngIf="f['password'].errors['minlength']">Le mot de passe doit contenir au moins 6 caractères.</div>
            </div>
          </div>
          <div class="form-group col">
            <label class="mb-1">Confirmation Mot de Passe</label>
            <input type="password" formControlName="confirmPassword" class="form-control mb-2" [ngClass]="{ 'is-invalid': submitted && f['confirmPassword'].errors }" />
            <div *ngIf="submitted && f['confirmPassword'].errors" class="invalid-feedback">
              <div *ngIf="f['confirmPassword'].errors['required']">>Champs requis</div>
              <div *ngIf="f['confirmPassword'].errors['mustMatch']">Les mots de passe doivent correspondre.</div>
            </div>
          </div>
        </div>
        <div class="form-group form-check mt-3 mb-3">
          <input type="checkbox" formControlName="acceptTerms" id="acceptTerms" class="form-check-input" [ngClass]="{ 'is-invalid': submitted && f['acceptTerms'].errors }" />
          <label for="acceptTerms" class="form-check-label">J'accepte les termes et conditions d'utilisations.</label>
          <div *ngIf="submitted && f['acceptTerms'].errors" class="invalid-feedback">N'oublie-pas d'accepter les conditions générales d'utilisation !</div>
        </div>
        <div>
          <p *ngIf="isValid" style="text-align:center; color:green; font-weight: bold; " >{{infoMessage}}</p>
          <p *ngIf="!isValid" style="text-align:center; color:red; ; font-weight: bold " >{{infoMessage}}</p>
        </div>

        <div class="mt-3 mb-2">
          <button class="btn btn-primary w-100">S'inscrire</button>
        </div>


        <div class="mt-2 mb-2">
          <button class="btn btn-secondary w-100" type="reset" (click)="onReset()">Annuler</button>
        </div>
      </form>
    </div>
  </ng-template>
